> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Company Debt Financing Recent

GET https://api.filesearch.dev/v2/datasets/odyssey/companies/{company_id}/debt-financing/recent

Get most recent debt financing for company.

**Headers:**

* `Authorization`: Bearer \{api\_key}
* `X-Organization-ID`: Organization UUID

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/companies/companies-debt-financing-recent

## Request

### Path parameters

- `company_id` (string, required) — Company entity ID or identifier

## Response

### 200

Successful Response

## Errors

### 501 Not Implemented Error

Debt financing data requires specialized data source

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

## Types

### ErrorResponseV2Details

## Examples

**Response**

```json
{
  "entity_id": "019e5ffb-550d-74b2-b4bb-84410a854f8d",
  "round": null,
  "data_sources": []
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/companies/stripe/debt-financing/recent",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/companies/stripe/debt-financing/recent`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```